Index: azure_iot_hub/trunk/asp3_dcre/tinet/net/ppp_lcp.c
===================================================================
--- azure_iot_hub/trunk/asp3_dcre/tinet/net/ppp_lcp.c	(revision 388)
+++ azure_iot_hub/trunk/asp3_dcre/tinet/net/ppp_lcp.c	(revision 389)
@@ -5,39 +5,27 @@
  *                   Tomakomai National College of Technology, JAPAN
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã® (1)ï½(4) ã®æ¡ä»¶ãï¼Free Software Foundation 
- *  ã«ãã£ã¦å
-¬è¡¨ããã¦ãã GNU General Public License ã® Version 2 ã«è¨
- *  è¿°ããã¦ããæ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§ã¢
- *  ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼
- *  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®æ¡ä»¶ãæºãããã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の (1)～(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次の条件を満たすこと．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
  *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ã
- *  å«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´
- *  æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
  *  @(#) $Id$
@@ -113,5 +101,5 @@
 
 /*
- *  é¢æ°
+ *  関数
  */
 
@@ -131,66 +119,58 @@
 
 /*
- * FSM ããå¼åºãããã³ã¼ã«ããã¯é¢æ°
- */
-
-static void  lcp_resetci(T_PPP_FSM *fsm);	/* èªæ§ææ
-å ±ããªã»ããããã	*/
-static int_t lcp_cilen	(T_PPP_FSM *fsm);	/* æ§ææ
-å ±ã®é·ããè¿ãã		*/
+ * FSM から呼出されるコールバック関数
+ */
+
+static void  lcp_resetci(T_PPP_FSM *fsm);	/* 自構成情報をリセットする。	*/
+static int_t lcp_cilen	(T_PPP_FSM *fsm);	/* 構成情報の長さを返す。		*/
 static void  lcp_addci	(T_PPP_FSM *fsm, T_NET_BUF *output);
-						/* èªæ§ææ
-å ±ãè¿½å ããã		*/
+						/* 自構成情報を追加する。		*/
 static bool_t lcp_ackci	(T_PPP_FSM *fsm, T_NET_BUF *input);
-						/* ACK ãåä¿¡ããã¨ãã®å¦ç	*/
+						/* ACK を受信したときの処理	*/
 static bool_t lcp_nakci	(T_PPP_FSM *fsm, T_NET_BUF *input);
-						/* NAK ãåä¿¡ããã¨ãã®å¦ç	*/
+						/* NAK を受信したときの処理	*/
 static bool_t lcp_rejci	(T_PPP_FSM *fsm, T_NET_BUF *input);
-						/* REJ ãåä¿¡ããã¨ãã®å¦ç	*/
+						/* REJ を受信したときの処理	*/
 static int_t lcp_reqci	(T_PPP_FSM *fsm, T_NET_BUF *input, T_NET_BUF *output);
-						/* ç¸æã®æ§ææ
-å ±ãç¢ºèªããã	*/
-static void lcp_up	(T_PPP_FSM *fsm);	/* ãªã³ã¯æ¥ç¶ãç¢ºç«ããã		*/
-static void lcp_starting(T_PPP_FSM *fsm);	/* ä¸ä½å±¤ãéå§ããã		*/
+						/* 相手の構成情報を確認する。	*/
+static void lcp_up	(T_PPP_FSM *fsm);	/* リンク接続を確立する。		*/
+static void lcp_starting(T_PPP_FSM *fsm);	/* 下位層を開始する。		*/
 static bool_t lcp_extcode	(T_PPP_FSM *fsm, uint8_t code, uint8_t id, T_NET_BUF *input);
-						/* ä¸æãª CP ãåä¿¡ããã¨ãã®å¦ç	*/
+						/* 不明な CP を受信したときの処理	*/
 static void lcp_rprotrej(T_PPP_FSM *fsm, T_NET_BUF *input);
-						/* Proto-REJ ãåä¿¡ããã¨ãã®å¦ç	*/
-/*
- *  å¤æ°
- */
-
-static T_LCP_CONFIGS lcp_def_cfg = {		/* æ§ææ
-å ±ã®åæè¨­å®å¤		*/
+						/* Proto-REJ を受信したときの処理	*/
+/*
+ *  変数
+ */
+
+static T_LCP_CONFIGS lcp_def_cfg = {		/* 構成情報の初期設定値		*/
 	DEF_REMOTE_ACCM,			/* ACCM				*/
 
 #ifdef LCP_CFG_MAGIC
 
-	ULONG_C(0),				/* ãã¸ãã¯çªå·			*/
+	ULONG_C(0),				/* マジック番号			*/
 
 #endif	/* of #ifdef LCP_CFG_MAGIC */
 
 	DEF_PPP_MTU,				/* MRU				*/
-	UINT_C(0),				/* ãªãã·ã§ã³ãã©ã°		*/
+	UINT_C(0),				/* オプションフラグ		*/
 	};
 
-static T_LCP_CONFIGS lcp_local_def_cfg = {	/* èªæ§ææ
-å ±ã®è¦å®å¤		*/
+static T_LCP_CONFIGS lcp_local_def_cfg = {	/* 自構成情報の規定値		*/
 	DEF_LOCAL_ACCM,				/* ACCM				*/
 
 #ifdef LCP_CFG_MAGIC
 
-	ULONG_C(0),				/* ãã¸ãã¯çªå·			*/
+	ULONG_C(0),				/* マジック番号			*/
 
 #endif	/* of #ifdef LCP_CFG_MAGIC */
 
 	DEF_PPP_MTU,				/* MRU				*/
-	DEF_LCP_LOCAL_CFGS,			/* ãªãã·ã§ã³ãã©ã°		*/
+	DEF_LCP_LOCAL_CFGS,			/* オプションフラグ		*/
 	};
 
-static T_LCP_CONFIGS lcp_local_neg_cfg;		/* ãã´ä¸­ã®èªæ§ææ
-å ±		*/
-
-static T_LCP_CONFIGS lcp_remote_neg_cfg;	/* ãã´ä¸­ã®ç¸æã®æ§ææ
-å ±		*/
+static T_LCP_CONFIGS lcp_local_neg_cfg;		/* ネゴ中の自構成情報		*/
+
+static T_LCP_CONFIGS lcp_remote_neg_cfg;	/* ネゴ中の相手の構成情報		*/
 
 #if DEF_LCP_LOCAL_CFGS & LCP_CFG_MAGIC
@@ -203,54 +183,45 @@
 
 /*
- *  å
-¨åå¤æ°
+ *  全域変数
  */
 
 T_PPP_FSM_CALLBACKS lcp_callbacks = {
-	lcp_resetci,			/* èªæ§ææ
-å ±ããªã»ããããã	*/
-	lcp_cilen,			/* æ§ææ
-å ±ã®é·ããè¿ãã		*/
-	lcp_addci,			/* èªæ§ææ
-å ±ãè¿½å ããã		*/
-	lcp_ackci,			/* ACK ãåä¿¡ããã¨ãã®å¦ç	*/
-	lcp_nakci,			/* NAK ãåä¿¡ããã¨ãã®å¦ç	*/
-	lcp_rejci,			/* REJ ãåä¿¡ããã¨ãã®å¦ç	*/
-	lcp_reqci,			/* ç¸æã®æ§ææ
-å ±ãç¢ºèªããã	*/
-	lcp_up,				/* ãªã³ã¯æ¥ç¶ãç¢ºç«ããã		*/
-	lcp_down,			/* ãªã³ã¯æ¥ç¶ãè§£æ¾ããã		*/
-	lcp_starting,			/* ä¸ä½å±¤ãéå§ããã		*/
-	lcp_finished,			/* ä¸ä½å±¤ãçµäºããã		*/
-	NULL,				/* åéããã			*/
-	lcp_extcode,			/* ä¸æãª CP ãåä¿¡ããã¨ãã®å¦ç	*/
+	lcp_resetci,			/* 自構成情報をリセットする。	*/
+	lcp_cilen,			/* 構成情報の長さを返す。		*/
+	lcp_addci,			/* 自構成情報を追加する。		*/
+	lcp_ackci,			/* ACK を受信したときの処理	*/
+	lcp_nakci,			/* NAK を受信したときの処理	*/
+	lcp_rejci,			/* REJ を受信したときの処理	*/
+	lcp_reqci,			/* 相手の構成情報を確認する。	*/
+	lcp_up,				/* リンク接続を確立する。		*/
+	lcp_down,			/* リンク接続を解放する。		*/
+	lcp_starting,			/* 下位層を開始する。		*/
+	lcp_finished,			/* 下位層を終了する。		*/
+	NULL,				/* 再送する。			*/
+	lcp_extcode,			/* 不明な CP を受信したときの処理	*/
 	};
 
 T_PPP_FSM lcp_fsm = {
-	&lcp_callbacks,			/* ã³ã¼ã«ããã¯é¢æ°		*/
-	PPP_LCP,			/* ãã­ãã³ã«			*/
+	&lcp_callbacks,			/* コールバック関数		*/
+	PPP_LCP,			/* プロトコル			*/
 	};
 
 T_PPP_PROTENT lcp_protent = {
 	PPP_LCP,
-	lcp_init,			/* åæå			*/
-	lcp_input,			/* å
-¥å				*/
-	lcp_protrej,			/* Proto-REJ åä¿¡å¦ç		*/
-	NULL,				/* ä¸ä½å±¤ãèµ·åãã		*/
-	lcp_lowerdown,			/* ä¸ä½å±¤ãåæ­¢ãã		*/
-	NULL,				/* ãªã¼ãã³ãã			*/
-	lcp_close,			/* ã¯ã­ã¼ãºãã			*/
-	NULL,				/* ãã¼ã¿å
-¥å			*/
+	lcp_init,			/* 初期化			*/
+	lcp_input,			/* 入力				*/
+	lcp_protrej,			/* Proto-REJ 受信処理		*/
+	NULL,				/* 下位層を起動する		*/
+	lcp_lowerdown,			/* 下位層を停止する		*/
+	NULL,				/* オープンする			*/
+	lcp_close,			/* クローズする			*/
+	NULL,				/* データ入力			*/
 	};
 
-T_LCP_CONFIGS lcp_local_ack_cfg;	/* ç¸æã«è¨±å¯ãããã®èªæ§ææ
-å ±	*/
-T_LCP_CONFIGS lcp_remote_ack_cfg;	/* ç¸æã«è¨±å¯ããæ§ææ
-å ±		*/
-
-/*
- *  lcp_init -- LCP ã¢ã¸ã¥ã¼ã«ã®åæå
+T_LCP_CONFIGS lcp_local_ack_cfg;	/* 相手に許可されたの自構成情報	*/
+T_LCP_CONFIGS lcp_remote_ack_cfg;	/* 相手に許可した構成情報		*/
+
+/*
+ *  lcp_init -- LCP モジュールの初期化
  */
 
@@ -262,6 +233,5 @@
 
 /*
- *  lcp_input -- LCP å
-¥å
+ *  lcp_input -- LCP 入力
  */
 
@@ -275,6 +245,5 @@
 
 /*
- *  lcp_resetci -- LCPã®æ§ææ
-å ±ããªã»ããããã
+ *  lcp_resetci -- LCPの構成情報をリセットする。
  */
 
@@ -288,11 +257,9 @@
 #endif	/* of #ifdef LCP_CFG_MAGIC */
 
-	/* èªæ§ææ
-å ±ã®åæè¨­å® */
+	/* 自構成情報の初期設定 */
 	lcp_local_neg_cfg	= lcp_local_def_cfg;
 	lcp_local_ack_cfg	= lcp_def_cfg;
 
-	/* ç¸æã®æ§ææ
-å ±ã®åæè¨­å® */
+	/* 相手の構成情報の初期設定 */
 	lcp_remote_neg_cfg	= lcp_def_cfg;
 	lcp_remote_ack_cfg	= lcp_def_cfg;
@@ -310,6 +277,5 @@
 
 /*
- *  lcp_cilen -- æ§ææ
-å ±ã®é·ããè¿ãã
+ *  lcp_cilen -- 構成情報の長さを返す。
  */
 
@@ -342,5 +308,5 @@
 
 	if (lcp_local_neg_cfg.options & LCP_CFG_PCOMP)
-		cilen += sizeof(T_PPP_CI_HDR);			/* ãã­ãã³ã«å§ç¸® */
+		cilen += sizeof(T_PPP_CI_HDR);			/* プロトコル圧縮 */
 
 #endif	/* of #ifdef LCP_CFG_PCOMP */
@@ -349,5 +315,5 @@
 
 	if (lcp_local_neg_cfg.options & LCP_CFG_ACCOMP)
-		cilen += sizeof(T_PPP_CI_HDR);			/* ã¢ãã¬ã¹ã»å¶å¾¡å§ç¸® */
+		cilen += sizeof(T_PPP_CI_HDR);			/* アドレス・制御圧縮 */
 
 #endif	/* of #ifdef LCP_CFG_ACCOMP */
@@ -357,6 +323,5 @@
 
 /*
- *  lcp_addci -- LCPã®æ§ææ
-å ±ãè¿½å ããã
+ *  lcp_addci -- LCPの構成情報を追加する。
  */
 
@@ -368,5 +333,5 @@
 	buf = output->buf + sizeof(T_PPP_HDR) + sizeof(T_PPP_CP_HDR);
 
-	/* MRU ãªãã·ã§ã³ãè¿½å ããã */
+	/* MRU オプションを追加する。 */
 	if (lcp_local_neg_cfg.options & LCP_CFG_MRU) {
 		*buf ++ = LCP_CIT_MRU;
@@ -376,5 +341,5 @@
 		}
 
-	/* ACCM ãªãã·ã§ã³ãè¿½å ããã */
+	/* ACCM オプションを追加する。 */
 	if (lcp_local_neg_cfg.options & LCP_CFG_ACCM) {
 		*buf ++ = LCP_CIT_ACCM;
@@ -386,5 +351,5 @@
 #ifdef LCP_CFG_MAGIC
 
-	/* Magic Number ãªãã·ã§ã³ãè¿½å ããã */
+	/* Magic Number オプションを追加する。 */
 	if (lcp_local_neg_cfg.options & LCP_CFG_MAGIC) {
 		*buf ++ = LCP_CIT_MAGIC;
@@ -398,5 +363,5 @@
 #ifdef LCP_CFG_PAP
 
-	/* èªè¨¼ãã­ãã³ã«ãªãã·ã§ã³ãè¿½å ããã */
+	/* 認証プロトコルオプションを追加する。 */
 	if (lcp_local_neg_cfg.options & LCP_CFG_PAP) {
 		*buf ++ = LCP_CIT_AUTH;
@@ -410,5 +375,5 @@
 #ifdef LCP_CFG_PCOMP
 
-	/* ãã­ãã³ã«å§ç¸®ãªãã·ã§ã³ãè¿½å ããã */
+	/* プロトコル圧縮オプションを追加する。 */
 	if (lcp_local_neg_cfg.options & LCP_CFG_PCOMP) {
 		*buf ++ = LCP_CIT_PCOMP;
@@ -420,5 +385,5 @@
 #ifdef LCP_CFG_ACCOMP
 
-	/* ã¢ãã¬ã¹ã»å¶å¾¡å§ç¸®ãªãã·ã§ã³ãè¿½å ããã */
+	/* アドレス・制御圧縮オプションを追加する。 */
 	if (lcp_local_neg_cfg.options & LCP_CFG_ACCOMP) {
 		*buf ++ = LCP_CIT_ACCOMP;
@@ -430,8 +395,8 @@
 
 /*
- *  lcp_ackci -- ACK ãåä¿¡ããã¨ãã®å¦ç
+ *  lcp_ackci -- ACK を受信したときの処理
  *
- *	æ»ãå¤:	TURE  ACK ã¯æ­£å¸¸
- *		false ACK ã¯ç°å¸¸
+ *	戻り値:	TURE  ACK は正常
+ *		false ACK は異常
  */
 
@@ -446,11 +411,9 @@
 
 	/*
-	 *  æ§ææ
-å ±ã¯éä¿¡ããé ã«å®å
-¨ã«ä¸è´ããªããã°ãªããªãã
-	 *  å¾ã£ã¦ãlcp_addci ã§ä½æããé ã«è§£æããã
+	 *  構成情報は送信した順に完全に一致しなければならない。
+	 *  従って、lcp_addci で作成した順に解析する。
 	 */
 
-	/* MRU ãªãã·ã§ã³ãè§£æããã */
+	/* MRU オプションを解析する。 */
 	if (lcp_local_neg_cfg.options & LCP_CFG_MRU) {
 		if (len < sizeof(T_PPP_CI_HDR) + sizeof(uint16_t)	||
@@ -463,5 +426,5 @@
 		}
 
-	/* ACCM ãªãã·ã§ã³ãè§£æããã */
+	/* ACCM オプションを解析する。 */
 	if (lcp_local_neg_cfg.options & LCP_CFG_ACCM) {
 		if (len < sizeof(T_PPP_CI_HDR) + sizeof(uint32_t)	||
@@ -476,5 +439,5 @@
 #ifdef LCP_CFG_MAGIC
 
-	/* Magic Number ãªãã·ã§ã³ãè§£æããã */
+	/* Magic Number オプションを解析する。 */
 	if (lcp_local_neg_cfg.options & LCP_CFG_MAGIC) {
 		if (len < sizeof(T_PPP_CI_HDR) + sizeof(uint32_t)	||
@@ -491,5 +454,5 @@
 #ifdef LCP_CFG_PAP
 
-	/* èªè¨¼ãã­ãã³ã«ãªãã·ã§ã³ãè§£æããã */
+	/* 認証プロトコルオプションを解析する。 */
 	if (lcp_local_neg_cfg.options & LCP_CFG_PAP) {
 		if (len < sizeof(T_PPP_CI_HDR) + sizeof(uint16_t)	||
@@ -506,5 +469,5 @@
 #ifdef LCP_CFG_PCOMP
 
-	/* ãã­ãã³ã«å§ç¸®ãªãã·ã§ã³ãè§£æããã */
+	/* プロトコル圧縮オプションを解析する。 */
 	if (lcp_local_neg_cfg.options & LCP_CFG_PCOMP) {
 		if (len < sizeof(T_PPP_CI_HDR)			||
@@ -519,5 +482,5 @@
 #ifdef LCP_CFG_ACCOMP
 
-	/* ã¢ãã¬ã¹ã»å¶å¾¡å§ç¸®ãªãã·ã§ã³ãè§£æããã */
+	/* アドレス・制御圧縮オプションを解析する。 */
 	if (lcp_local_neg_cfg.options & LCP_CFG_ACCOMP) {
 		if (len < sizeof(T_PPP_CI_HDR)			||
@@ -533,8 +496,8 @@
 
 /*
- *  lcp_nakci -- NAK ãåä¿¡ããã¨ãã®å¦ç
+ *  lcp_nakci -- NAK を受信したときの処理
  *
- *	æ»ãå¤:	1  NAK ã¯æ­£å¸¸
- *		0  NAK ã¯ç°å¸¸
+ *	戻り値:	1  NAK は正常
+ *		0  NAK は異常
  */
 
@@ -543,5 +506,5 @@
 {
 	T_LCP_CONFIGS	new_cfg;
-	bool_t		loop = false;	/* ã«ã¼ãããã¯ããã§ãã¯ */
+	bool_t		loop = false;	/* ループバックをチェック */
 	uint32_t	cilong;
 	uint16_t	cishort, len;
@@ -553,5 +516,5 @@
 	new_cfg = lcp_local_neg_cfg;
 
-	/* MRU ãªãã·ã§ã³ãè§£æããã */
+	/* MRU オプションを解析する。 */
 	if (len >= sizeof(T_PPP_CI_HDR) + sizeof(uint16_t)		&&
 	    * buf      == LCP_CIT_MRU				&&
@@ -565,5 +528,5 @@
 		}
 
-	/* ACCM ãªãã·ã§ã³ãè§£æããã */
+	/* ACCM オプションを解析する。 */
 	if (len >= sizeof(T_PPP_CI_HDR) + sizeof(uint32_t)		&&
 	    * buf      == LCP_CIT_ACCM				&&
@@ -578,5 +541,5 @@
 #ifdef LCP_CFG_MAGIC
 
-	/* Magic Number ãªãã·ã§ã³ãè§£æããã */
+	/* Magic Number オプションを解析する。 */
 	if (len >= sizeof(T_PPP_CI_HDR) + sizeof(uint32_t)		&&
 	    * buf      == LCP_CIT_MAGIC				&&
@@ -594,5 +557,5 @@
 #ifdef LCP_CFG_PAP
 
-	/* èªè¨¼ãã­ãã³ã«ãªãã·ã§ã³ãè§£æããã */
+	/* 認証プロトコルオプションを解析する。 */
 	if (len >= sizeof(T_PPP_CI_HDR) + sizeof(uint16_t)		&&
 	    * buf      == LCP_CIT_AUTH				&&
@@ -612,5 +575,5 @@
 #ifdef LCP_CFG_PCOMP
 
-	/* ãã­ãã³ã«å§ç¸®ãªãã·ã§ã³ãè§£æããã */
+	/* プロトコル圧縮オプションを解析する。 */
 	if (len >= sizeof(T_PPP_CI_HDR)				&&
 	    * buf      == LCP_CIT_PCOMP				&&
@@ -626,5 +589,5 @@
 #ifdef LCP_CFG_ACCOMP
 
-	/* ã¢ãã¬ã¹ã»å¶å¾¡å§ç¸®ãªãã·ã§ã³ãè§£æããã */
+	/* アドレス・制御圧縮オプションを解析する。 */
 	if (len >= sizeof(T_PPP_CI_HDR)				&&
 	    * buf      == LCP_CIT_ACCOMP			&&
@@ -638,5 +601,5 @@
 #endif	/* of #ifdef LCP_CFG_ACCOMP */
 
-	/* å¾ã¯ç¡è¦ããã*/
+	/* 後は無視する。*/
 	while (len > sizeof(T_PPP_CI_HDR)) {
 		cilen = *(buf + 1);
@@ -647,9 +610,9 @@
 		}
 
-	/* é·ãã 0 ã§ãªããã°ã¨ã©ã¼ */
+	/* 長さが 0 でなければエラー */
 	if (len != 0)
 		return 0;
 
-	/* æ°ãããªãã·ã§ã³ãè¨­å®ããã*/
+	/* 新しいオプションを設定する。*/
 	if (fsm->state != PPP_FSM_OPENED) {
 		if (loop) {
@@ -663,8 +626,8 @@
 
 /*
- *  lcp_rejci -- REJ ãåä¿¡ããã¨ãã®å¦ç
+ *  lcp_rejci -- REJ を受信したときの処理
  *
- *	æ»ãå¤:	1  REJ ã¯æ­£å¸¸
- *		0  REJ ã¯ç°å¸¸
+ *	戻り値:	1  REJ は正常
+ *		0  REJ は異常
  */
 
@@ -682,5 +645,5 @@
 	new_cfg = lcp_local_neg_cfg;
 
-	/* MRU ãªãã·ã§ã³ãè§£æããã */
+	/* MRU オプションを解析する。 */
 	if (len >= sizeof(T_PPP_CI_HDR) + sizeof(uint16_t)		&&
 	    * buf      == LCP_CIT_MRU					&&
@@ -696,5 +659,5 @@
 		}
 		
-	/* ACCM ãªãã·ã§ã³ãè§£æããã */
+	/* ACCM オプションを解析する。 */
 	if (len >= sizeof(T_PPP_CI_HDR) + sizeof(uint32_t)		&&
 	    * buf      == LCP_CIT_ACCM					&&
@@ -712,5 +675,5 @@
 #ifdef LCP_CFG_MAGIC
 
-	/* Magic Number ãªãã·ã§ã³ãè§£æããã */
+	/* Magic Number オプションを解析する。 */
 	if (len >= sizeof(T_PPP_CI_HDR) + sizeof(uint32_t)		&&
 	    * buf      == LCP_CIT_MAGIC					&&
@@ -730,5 +693,5 @@
 #ifdef LCP_CFG_PAP
 
-	/* èªè¨¼ãã­ãã³ã«ãªãã·ã§ã³ãè§£æããã */
+	/* 認証プロトコルオプションを解析する。 */
 	if (len >= sizeof(T_PPP_CI_HDR) + sizeof(uint16_t)		&&
 	    * buf      == LCP_CIT_AUTH					&&
@@ -748,5 +711,5 @@
 #ifdef LCP_CFG_PCOMP
 
-	/* ãã­ãã³ã«å§ç¸®ãªãã·ã§ã³ãè§£æããã */
+	/* プロトコル圧縮オプションを解析する。 */
 	if (len >= sizeof(T_PPP_CI_HDR)				&&
 	    * buf      == LCP_CIT_PCOMP				&&
@@ -762,5 +725,5 @@
 #ifdef LCP_CFG_ACCOMP
 
-	/* ã¢ãã¬ã¹ã»å¶å¾¡å§ç¸®ãªãã·ã§ã³ãè§£æããã */
+	/* アドレス・制御圧縮オプションを解析する。 */
 	if (len >= sizeof(T_PPP_CI_HDR)				&&
 	    * buf      == LCP_CIT_ACCOMP			&&
@@ -774,9 +737,9 @@
 #endif	/* of #ifdef LCP_CFG_ACCOMP */
 
-	/* é·ãã 0 ã§ãªããã°ã¨ã©ã¼ */
+	/* 長さが 0 でなければエラー */
 	if (len != 0)
 		return 0;
 
-	/* æ°ãããªãã·ã§ã³ãè¨­å®ããã*/
+	/* 新しいオプションを設定する。*/
 	if (fsm->state != PPP_FSM_OPENED)
 		lcp_local_neg_cfg = new_cfg;
@@ -786,6 +749,5 @@
 
 /*
- *  lcp_reqci -- ç¸æã®æ§ææ
-å ±ãè§£æããã
+ *  lcp_reqci -- 相手の構成情報を解析する。
  */
 
@@ -803,31 +765,31 @@
 
 	rp = ap = input->buf + sizeof(T_PPP_HDR) + sizeof(T_PPP_CP_HDR);
-				/* rp: REJãap: ACK ãã CI ã®ãã¤ã³ã¿		*/
-				/* æå¦ããå ´åã¯ãå¼æ° input ã«ä¸æ¸ãããã	*/
+				/* rp: REJ、ap: ACK する CI のポインタ		*/
+				/* 拒否する場合は、引数 input に上書きする。	*/
 	len   = input->len - (sizeof(T_PPP_HDR) + sizeof(T_PPP_CP_HDR));
 	np    = output->buf + sizeof(T_PPP_HDR) + sizeof(T_PPP_CP_HDR);
-	final = PPP_CONFACK;	/* æçµçã«éä¿¡ããã³ã¼ã */
+	final = PPP_CONFACK;	/* 最終的に送信するコード */
 	while (len > 0) {
 		code = PPP_CONFACK;
-		cp   = ap;	/* cp: ç¾å¨å¦çä¸­ã® CI	*/
+		cp   = ap;	/* cp: 現在処理中の CI	*/
 
 		if (len < sizeof(T_PPP_CI_HDR)) {
 
-			/* æ®ãã CI ãããããç­ã */
+			/* 残りが CI ヘッダより短い */
 			syslog(LOG_WARNING, "[PPP/LCP] bad CI len: %d.", len);
-			cilen = len;	/* ãã¼ã¿é·ãç°å¸¸ã®å ´åã®å¦ç½®	*/
-			len   = 0;	/* ã«ã¼ãããæããã		*/
+			cilen = len;	/* データ長が異常の場合の処置	*/
+			len   = 0;	/* ループから抜ける。		*/
 			code  = PPP_CONFREJ;
 			goto endswitch;
 			}
 
-		type  = *ap ++;	/* CI ã®å		*/
-		cilen = *ap ++;	/* CI ã®é·ã		*/
+		type  = *ap ++;	/* CI の型		*/
+		cilen = *ap ++;	/* CI の長さ		*/
 		if (len < cilen) {
 
-			/* æ®ãã CI é·ããç­ã */
+			/* 残りが CI 長より短い */
 			syslog(LOG_WARNING, "[PPP/LCP] bad CI len: %d.", cilen);
-			cilen = len;	/* ãã¼ã¿é·ãç°å¸¸ã®å ´åã®å¦ç½®	*/
-			len   = 0;	/* ã«ã¼ãããæããã		*/
+			cilen = len;	/* データ長が異常の場合の処置	*/
+			len   = 0;	/* ループから抜ける。		*/
 			code  = PPP_CONFREJ;
 			goto endswitch;
@@ -835,8 +797,8 @@
 		len -= sizeof(T_PPP_CI_HDR);
 
-		/* CI ã®åã«ããåå²ããã*/
+		/* CI の型により分岐する。*/
 		switch (type) {
 
-		case LCP_CIT_MRU:	/* æå¤§åä¿¡é (Maximum Receive Unit) */
+		case LCP_CIT_MRU:	/* 最大受信量 (Maximum Receive Unit) */
 
 #if (DEF_LCP_REMOTE_CFGS & LCP_CFG_MRU) == 0
@@ -846,5 +808,5 @@
 #else	/* of #if (DEF_LCP_REMOTE_CFGS & LCP_CFG_MRU) == 0 */
 
-		 	/* CI é·ããããã + 2 ãªã¯ãããã§ãªããã° REJ */
+		 	/* CI 長が、ヘッダ + 2 オクテットでなければ REJ */
 		 	if (cilen != sizeof(T_PPP_CI_HDR) + sizeof(uint16_t))
 				code = PPP_CONFREJ;
@@ -852,5 +814,5 @@
 				cishort = ntohs(*(uint16_t*)ap);
 
-				/* æå°åä¿¡éããå°ãããã° NAK */
+				/* 最小受信量より小さければ NAK */
 				if (cishort < MIN_PPP_MTU) {
 					*np ++ = LCP_CIT_MRU;
@@ -878,5 +840,5 @@
 #else	/* of #if (DEF_LCP_REMOTE_CFGS & LCP_CFG_ACCM) == 0 */
 
-		 	/* CI é·ããããã + 4 ãªã¯ãããã§ãªããã° REJ */
+		 	/* CI 長が、ヘッダ + 4 オクテットでなければ REJ */
 		 	if (cilen != sizeof(T_PPP_CI_HDR) + sizeof(uint32_t))
 				code = PPP_CONFREJ;
@@ -890,5 +852,5 @@
 			break;
 
-		case LCP_CIT_MAGIC:	/* ãã¸ãã¯çªå· */
+		case LCP_CIT_MAGIC:	/* マジック番号 */
 
 #if (DEF_LCP_REMOTE_CFGS & LCP_CFG_MAGIC) == 0
@@ -898,5 +860,5 @@
 #else	/* of #if (DEF_LCP_REMOTE_CFGS & LCP_CFG_MAGIC) == 0 */
 
-		 	/* CI é·ããããã + 4 ãªã¯ãããã§ãªããã° REJ */
+		 	/* CI 長が、ヘッダ + 4 オクテットでなければ REJ */
 		 	if (cilen != sizeof(T_PPP_CI_HDR) + sizeof(uint32_t))
 				code = PPP_CONFREJ;
@@ -904,5 +866,5 @@
 				ntoahl(cilong, ap);
 
-				/* çªå·ãèªåã¨åããªã NAK */
+				/* 番号が自分と同じなら NAK */
 				if (cilong == lcp_local_neg_cfg.magic) {
 					cilong = net_rand();
@@ -924,10 +886,9 @@
 
 #ifdef LCP_CFG_PAP
-		/* CHAP ã¯å®è£
-äºå®	*/
-
-		case LCP_CIT_AUTH:	/* èªè¨¼ãã­ãã³ã« */
-
-		 	/* CI é·ããããã + 2 ãªã¯ãããããç­ãã¨ãã¯ã¨ã©ã¼ */
+		/* CHAP は実装予定	*/
+
+		case LCP_CIT_AUTH:	/* 認証プロトコル */
+
+		 	/* CI 長が、ヘッダ + 2 オクテットより短いときはエラー */
 		 	if (cilen < sizeof(T_PPP_CI_HDR) + sizeof(uint16_t))
 				code = PPP_CONFREJ;
@@ -935,5 +896,5 @@
 				cishort = ntohs(*(uint16_t*)ap);
 
-				/* èªè¨¼ãã­ãã³ã«ã«ããåå²ãã	*/
+				/* 認証プロトコルにより分岐する	*/
 				if (cishort == PPP_PAP &&
 				    cilen   == sizeof(T_PPP_CI_HDR) + sizeof(uint16_t) &&
@@ -949,6 +910,5 @@
 #ifdef LCP_CFG_PCOMP
 
-		case LCP_CIT_PCOMP:	/* ãã­ãã³ã«é¨å§ç¸®ã¯å®è£
-äºå® */
+		case LCP_CIT_PCOMP:	/* プロトコル部圧縮は実装予定 */
 
 #if (DEF_LCP_REMOTE_CFGS & LCP_CFG_PCOMP) == 0
@@ -958,5 +918,5 @@
 #else	/* of #if (DEF_LCP_REMOTE_CFGS & LCP_CFG_PCOMP) == 0 */
 
-		 	/* CI é·ãããããé·ã ãã§ãªããã° REJ */
+		 	/* CI 長が、ヘッダ長だけでなければ REJ */
 		 	if (cilen != sizeof(T_PPP_CI_HDR))
 				code = PPP_CONFREJ;
@@ -972,5 +932,5 @@
 #ifdef LCP_CFG_ACCOMP
 
-		case LCP_CIT_ACCOMP:	/* ã¢ãã¬ã¹ã»å¶å¾¡é¨å§ç¸® */
+		case LCP_CIT_ACCOMP:	/* アドレス・制御部圧縮 */
 
 #if (DEF_LCP_REMOTE_CFGS & LCP_CFG_ACCOMP) == 0
@@ -980,5 +940,5 @@
 #else	/* of #if (DEF_LCP_REMOTE_CFGS & LCP_CFG_ACCOMP) == 0 */
 
-		 	/* CI é·ãããããé·ã ãã§ãªããã° REJ */
+		 	/* CI 長が、ヘッダ長だけでなければ REJ */
 		 	if (cilen != sizeof(T_PPP_CI_HDR))
 				code = PPP_CONFREJ;
@@ -999,7 +959,6 @@
 endswitch:
 		if (code == PPP_CONFNAK) {
-			/* CI ã®åã Magic Number ã®å ´åãé¤ãã¦ãNAK ã®åæ°ã	*/
-			/* æå¤§å¤ MAX_PPP_FAILURES  ãè¶
-ãããæå¦ããã	*/
+			/* CI の型が Magic Number の場合を除いて、NAK の回数が	*/
+			/* 最大値 MAX_PPP_FAILURES  を超えたら拒否する。	*/
 			if (fsm->failures >= MAX_PPP_FAILURES && type != LCP_CIT_MAGIC)
 				code = PPP_CONFREJ;
@@ -1008,7 +967,7 @@
 			}
 
-		/* ãã® CI ãæå¦ãã */
+		/* この CI を拒否する */
 		if (code == PPP_CONFREJ) {
-			if (rp < cp)		/* åã«è©°ããã*/
+			if (rp < cp)		/* 前に詰める。*/
 				memcpy(rp, cp, cilen);
 			rp += cilen;
@@ -1020,5 +979,5 @@
 		}
 
-	/* æçµçãªé·ããèª¿æ´ããã*/
+	/* 最終的な長さを調整する。*/
 	switch (final) {
 	case PPP_CONFNAK:
@@ -1037,5 +996,5 @@
 
 /*
- *  lcp_up -- ãªã³ã¯æ¥ç¶ãç¢ºç«ãã (Phase: Establish ã«ç§»è¡ãã)ã
+ *  lcp_up -- リンク接続を確立する (Phase: Establish に移行する)。
  */
 
@@ -1043,10 +1002,8 @@
 lcp_up (T_PPP_FSM *fsm)
 {
-	/* èªæ§ææ
-å ±ã®è¨­å® */
+	/* 自構成情報の設定 */
 	lcp_local_ack_cfg = lcp_local_neg_cfg;
 
-	/* ç¸æã®æ§ææ
-å ±ã®è¨­å® */
+	/* 相手の構成情報の設定 */
 	lcp_remote_ack_cfg = lcp_remote_neg_cfg;
 
@@ -1061,5 +1018,5 @@
 
 /*
- *  lcp_starting -- ä¸ä½å±¤ãéå§ããã
+ *  lcp_starting -- 下位層を開始する。
  */
 
@@ -1071,5 +1028,5 @@
 
 /*
- *  lcp_extcode -- LCP ç¹æã® CP ãåä¿¡ããã¨ãã®å¦ç
+ *  lcp_extcode -- LCP 特有の CP を受信したときの処理
  */
 
@@ -1128,5 +1085,5 @@
 
 /*
- *  lcp_rprotrej -- Proto-REJ ãåä¿¡ããã¨ãã®å¦ç
+ *  lcp_rprotrej -- Proto-REJ を受信したときの処理
  */
 
@@ -1149,5 +1106,5 @@
 		}
 
-	/* ä¸ä½ãã­ãã³ã«ãåæåãã */
+	/* 上位プロトコルを初期化する */
 	for (ix = 0; (entry = protocols[ix]) != NULL; ix ++)
 		if (entry->proto == proto) {
@@ -1160,5 +1117,5 @@
 
 /*
- *  lcp_protrej -- Proto-REJ ãåä¿¡ããã¨ãã®å¦ç
+ *  lcp_protrej -- Proto-REJ を受信したときの処理
  */
 
@@ -1170,5 +1127,5 @@
 
 /*
- *  lcp_lowerup -- LCP ä¸ä½å±¤ãèµ·åããã
+ *  lcp_lowerup -- LCP 下位層を起動する。
  */
 
@@ -1180,5 +1137,5 @@
 
 /*
- *  lcp_lowerdown -- LCP ä¸ä½å±¤ãåæ­¢ããã
+ *  lcp_lowerdown -- LCP 下位層を停止する。
  */
 
@@ -1190,5 +1147,5 @@
 
 /*
- *  lcp_open -- LCP ã®ãªã¼ã
+ *  lcp_open -- LCP のオープ
  */
 
@@ -1196,10 +1153,10 @@
 lcp_open (uint8_t open_mode)
 {
-	ppp_open_mode = open_mode;	/* ãªã¼ãã³æã®åä½ã¢ã¼ã	*/
+	ppp_open_mode = open_mode;	/* オープン時の動作モード	*/
 	fsm_open(&lcp_fsm);
 	}
 
 /*
- *  lcp_close -- LCP ã®ã¯ã­ã¼ãº
+ *  lcp_close -- LCP のクローズ
  */
 
@@ -1219,5 +1176,5 @@
 
 /*
- *  lcp_sprotrej -- èªè­ã§ããªããã­ãã³ã«ãéããã¦ããã¨ãã®å¦ç
+ *  lcp_sprotrej -- 認識できないプロトコルが送られてきたときの処理
  */
 
@@ -1227,5 +1184,5 @@
 	T_NET_BUF	*output;
 	/*
-	 *  Protocol-Reject ãéãè¿ãã
+	 *  Protocol-Reject を送り返す。
 	 */
 
@@ -1240,5 +1197,5 @@
 
 /*
- *  lcp_down -- ãªã³ã¯æ¥ç¶ãè§£æ¾ãã (Phase: Dead ã«ç§»è¡ãã)ã
+ *  lcp_down -- リンク接続を解放する (Phase: Dead に移行する)。
  */
 
@@ -1257,5 +1214,5 @@
 
 /*
- *  lcp_finished -- ä¸ä½å±¤ãçµäºããã
+ *  lcp_finished -- 下位層を終了する。
  */
 
@@ -1269,5 +1226,5 @@
 
 /*
- *  recv_echo_rep -- ECHOREP ãåä¿¡ããã¨ãã®å¦ç
+ *  recv_echo_rep -- ECHOREP を受信したときの処理
  */
 
@@ -1280,5 +1237,5 @@
  	hdr = GET_PPP_CP_HDR(input);
 
- 	/* Magic Number ã®é·ãä»¥ä¸ãªãã¨ã©ã¼ */
+ 	/* Magic Number の長さ以下ならエラー */
  	if (hdr->len < sizeof(T_PPP_CP_HDR) + sizeof(uint32_t)) {
 		syslog(LOG_WARNING, "[PPP/LCP] bad ECHOREP len: %d.", hdr->len);
@@ -1288,5 +1245,5 @@
 	ntoahl(magic, input->buf + sizeof(T_PPP_HDR) + sizeof(T_PPP_CP_HDR));
 
- 	/* åä¿¡ãã Magic Number ãèªåã¨åããªãã«ã¼ããã¦ããã*/
+ 	/* 受信した Magic Number が自分と同じならループしている。*/
 	if ((lcp_local_ack_cfg.options & LCP_CFG_MAGIC) && magic == lcp_local_ack_cfg.magic) {
 		syslog(LOG_WARNING, "[PPP/LCP] ECHOREP looped.");
@@ -1298,5 +1255,5 @@
 
 /*
- *  echo_timeout -- ECHO REQ/REP ã®ã¿ã¤ã ã¢ã¦ãå¦ç
+ *  echo_timeout -- ECHO REQ/REP のタイムアウト処理
  */
 
@@ -1311,5 +1268,5 @@
 
 /*
- *  send_echo_req -- ECHO REQ ãéä¿¡ããã
+ *  send_echo_req -- ECHO REQ を送信する。
  */
 
@@ -1331,5 +1288,5 @@
 	if (fsm->state == PPP_FSM_OPENED) {
 
-		/* ECHOREQ ãéä¿¡ããã*/
+		/* ECHOREQ を送信する。*/
 		syscall(get_net_buf(&input, sizeof(T_PPP_HDR) + sizeof(T_PPP_CP_HDR) + sizeof(uint32_t)));
 		*(uint32_t*)(input->buf +  sizeof(T_PPP_HDR) + sizeof(T_PPP_CP_HDR)) = lcp_local_ack_cfg.magic;
@@ -1338,5 +1295,5 @@
 		echo_pending ++;
 
-		/* ã¿ã¤ãã¼ãã¹ã¿ã¼ãããã*/
+		/* タイマーをスタートする。*/
 		timeout((FP)echo_timeout, fsm, LCP_ECHO_INTERVAL);
 		timer_running = true;
@@ -1345,5 +1302,5 @@
 
 /*
- *  echo_lowerup -- ECHO REQ/REP ã®èµ·å
+ *  echo_lowerup -- ECHO REQ/REP の起動
  */
 
@@ -1359,5 +1316,5 @@
 
 /*
- *  echo_lowerdown -- ECHO REQ/REP ã®åæ­¢
+ *  echo_lowerdown -- ECHO REQ/REP の停止
  */
 
Index: azure_iot_hub/trunk/asp3_dcre/tinet/net/ppp_lcp.h
===================================================================
--- azure_iot_hub/trunk/asp3_dcre/tinet/net/ppp_lcp.h	(revision 388)
+++ azure_iot_hub/trunk/asp3_dcre/tinet/net/ppp_lcp.h	(revision 389)
@@ -5,39 +5,27 @@
  *                   Tomakomai National College of Technology, JAPAN
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã® (1)ï½(4) ã®æ¡ä»¶ãï¼Free Software Foundation 
- *  ã«ãã£ã¦å
-¬è¡¨ããã¦ãã GNU General Public License ã® Version 2 ã«è¨
- *  è¿°ããã¦ããæ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§ã¢
- *  ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼
- *  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®æ¡ä»¶ãæºãããã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の (1)～(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次の条件を満たすこと．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
  *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ã
- *  å«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´
- *  æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
  *  @(#) $Id$
@@ -93,5 +81,5 @@
 
 /*
- *  LCP ç¹æã® PPP ãªã³ã¯å¶å¾¡ (CP) ã®å¶å¾¡ã³ã¼ã
+ *  LCP 特有の PPP リンク制御 (CP) の制御コード
  */
 
@@ -102,34 +90,25 @@
 
 /*
- *  LCP ã®æ§ææ
-å ± (CI)
+ *  LCP の構成情報 (CI)
  */
 
 /*
- *  CI ã®å
+ *  CI の型
  */
 
-#define LCP_CIT_MRU		UINT_C(1)	/* æå¤§åä¿¡é (Maximum Receive Unit)	*/
+#define LCP_CIT_MRU		UINT_C(1)	/* 最大受信量 (Maximum Receive Unit)	*/
 #define LCP_CIT_ACCM		UINT_C(2)	/* Async Control Character Map		*/
-#define LCP_CIT_AUTH		UINT_C(3)	/* èªè¨¼ãã­ãã³ã«			*/
-#define LCP_CIT_QUALITY		UINT_C(4)	/* åè³ªãã­ãã³ã«ã¯æªå®è£
-			*/
-#define LCP_CIT_MAGIC		UINT_C(5)	/* ãã¸ãã¯çªå·				*/
-#define LCP_CIT_PCOMP		UINT_C(7)	/* ãã­ãã³ã«é¨å§ç¸®ã¯å®è£
-äºå®		*/
-#define LCP_CIT_ACCOMP		UINT_C(8)	/* ã¢ãã¬ã¹ã»å¶å¾¡é¨å§ç¸®ã¯å®è£
-äºå®		*/
-#define LCP_CIT_FCS_ALTER	UINT_C(9)	/* FCS-Alternatives ã¯æªå®è£
-		*/
-#define LCP_CIT_SELF_PAD	UINT_C(10)	/* Self-Describing-Padding ã¯æªå®è£
-	*/
-#define LCP_CIT_CALLBACK	UINT_C(13)	/* Callback ã¯æªå®è£
-			*/
-#define LCP_CIT_CFRAMES		UINT_C(15)	/* Compound-Frames ã¯æªå®è£
-		*/
+#define LCP_CIT_AUTH		UINT_C(3)	/* 認証プロトコル			*/
+#define LCP_CIT_QUALITY		UINT_C(4)	/* 品質プロトコルは未実装			*/
+#define LCP_CIT_MAGIC		UINT_C(5)	/* マジック番号				*/
+#define LCP_CIT_PCOMP		UINT_C(7)	/* プロトコル部圧縮は実装予定		*/
+#define LCP_CIT_ACCOMP		UINT_C(8)	/* アドレス・制御部圧縮は実装予定		*/
+#define LCP_CIT_FCS_ALTER	UINT_C(9)	/* FCS-Alternatives は未実装		*/
+#define LCP_CIT_SELF_PAD	UINT_C(10)	/* Self-Describing-Padding は未実装	*/
+#define LCP_CIT_CALLBACK	UINT_C(13)	/* Callback は未実装			*/
+#define LCP_CIT_CFRAMES		UINT_C(15)	/* Compound-Frames は未実装		*/
 
 /*
- *  LCP ã®æ§ææ
-å ±ãªãã·ã§ã³
+ *  LCP の構成情報オプション
  */
 
@@ -139,25 +118,23 @@
 #ifdef LCP_CFG_MAGIC
 
-	uint32_t	magic;		/* ãã¸ãã¯çªå·		*/
+	uint32_t	magic;		/* マジック番号		*/
 
 #endif	/* of #ifdef LCP_CFG_MAGIC */
 
 	uint16_t	MRU;		/* MRU			*/
-	uint16_t	options;	/* ãªãã·ã§ã³ãã©ã°	*/
+	uint16_t	options;	/* オプションフラグ	*/
 	} __attribute__((packed, aligned(2)))T_LCP_CONFIGS;
 
 /*
- *  å¤æ°
+ *  変数
  */
 
 extern T_PPP_FSM	lcp_fsm;
 extern T_PPP_PROTENT	lcp_protent;
-extern T_LCP_CONFIGS	lcp_local_ack_cfg;	/* ç¸æã«è¨±å¯ãããã®èªæ§ææ
-å ±	*/
-extern T_LCP_CONFIGS	lcp_remote_ack_cfg;	/* ç¸æã«è¨±å¯ããæ§ææ
-å ±		*/
+extern T_LCP_CONFIGS	lcp_local_ack_cfg;	/* 相手に許可されたの自構成情報	*/
+extern T_LCP_CONFIGS	lcp_remote_ack_cfg;	/* 相手に許可した構成情報		*/
 
 /*
- *  é¢æ°
+ *  関数
  */
 
